luanti (5.10.0+dfsg-5+deb13u1build0.25.10.1) questing-security; urgency=medium

  * fake sync from Debian

 -- John Breton <john.breton@canonical.com>  Mon, 01 Jun 2026 18:08:25 -0400

luanti (5.10.0+dfsg-5+deb13u1) trixie-security; urgency=medium

  * GHSA-22c4-238c-m5j4 / GHSA-g596-mf82-w8c3 (no CVE yet)

 -- Moritz Mühlenhoff <jmm@debian.org>  Wed, 15 Apr 2026 19:50:18 +0200

luanti (5.10.0+dfsg-5) unstable; urgency=medium

  * Fix cross-build and re-enable in Salsa CI (Closes: #1102644)
  * Confirm package conforms to latest standards version
  * Ignore Lua destructor test failures on certain architectures.
    Some architectures (armel, armhf, loong64, or mips64el) fail to call Lua
    destructors properly after an error, which may lead to memory leaks,
    deadlocks, and other bad things. This was already occurring in previous
    Minetest packaging, but the test was disabled for all architectures. By
    making the test architecture-specific we avoid regressions on
    architectures where destructors are working properly (e.g. amd64) and
    maintain the packages and prior behavior for failing architectures.

 -- Travis Wrightsman <travis@wrightsman.org>  Fri, 18 Apr 2025 16:01:31 +0200

luanti (5.10.0+dfsg-4) unstable; urgency=medium

  * Revert luanti-server to Depend on luanti-game-minetest
    (required for service to start in default Debian-provided configuration)

 -- Travis Wrightsman <travis@wrightsman.org>  Tue, 01 Apr 2025 21:20:28 +0200

luanti (5.10.0+dfsg-3) unstable; urgency=medium

  [ Travis Wrightsman ]
  * Rename Salsa repository to new upstream name.

  [ Helmut Grohne ]
  * Mitigate file loss due to concurrent package rename and aliasing change
    (DEP17 P1 M8, Closes: #1095967).

  [ Tobias Frost ]
  * Only recommend luanti-game-minetest

 -- Tobias Frost <tobi@debian.org>  Sat, 01 Mar 2025 08:28:34 +0100

luanti (5.10.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * No-change, source-only upload to allow migration.

 -- Tobias Frost <tobi@debian.org>  Thu, 13 Feb 2025 17:20:14 +0100

luanti (5.10.0+dfsg-1) unstable; urgency=medium

  [ Travis Wrightsman ]
  * Drop IrrlichtMt and Minetest Game components from watch file
  * New upstream version 5.10.0+dfsg
  * Drop obsolete patches
  * Update Salsa CI configuration to latest
  * Update packaging for new upstream name (Closes: #1087386)
  * Add myself to Uploaders
  * Add transitional packages
  * Refresh dependencies
  * Disable Salsa CI arm64 cross-build job
  * Set ccache max size to 512M
  * Switch paths to new location
  * Remove old init-style service
  * Add migration scripts for state, logs, and config
  * Enable prometheus metrics export
  * Fix server crash due to lack of --gameid argument (Closes: #1090067)
  * Don't use numbered patches
  * Backport user-requested TGA patch
  * Recommend luanti-game-minetest for luanti
  * Minimize Debian-provided configuration
  * Silence some false-positive Lintian warnings
  * Update and add migration instructions to README.Debian
  * Fix appstream validation lint
  * Remove superfluous file patterns from d/copyright
  * Use updated SHA file paths in d/copyright
  * Add NEWS about rename and path changes

  [ Tobias Frost ]
  * Fix d/watch with new project name.

 -- Travis Wrightsman <travis@wrightsman.org>  Sun, 12 Jan 2025 09:08:07 -0800

minetest (5.8.0+dfsg+~1.9.0mt13-2) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with GCC-14" (Closes: #1075274)

 -- Tobias Frost <tobi@debian.org>  Fri, 26 Jul 2024 11:16:13 +0200

minetest (5.8.0+dfsg+~1.9.0mt13-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. (Closes: #1035312).
  * No longer build on archs not supporting lua-jit, as upstream enforces
    vendoring of their lua code copy.
  * Drop fix-typos.patch -- applied upstream.
  * Drop patch arch-support, unclear if still needed.
  * Drop patch kfreebsd-gettext, buildds will tell us if still needed.
  * Refresh patches.
  * Review d/copyright and update according to diff from new upstream version.
  * Drop version from B-D on mesa-common-dev, fulfilled since a long time.
  * Drop no longer needed Breaks/Conflict/Replaces constraints on
    minetest-data.
  * Install games directory manually, as upstream's make install no
    longer does it.
  * Switch to dh_missing --fail-missing policy.
  * Disable update checker - thanks to David Heidelberg for finding the
    option. (Closes: #1057689)

 -- Tobias Frost <tobi@debian.org>  Sat, 06 Apr 2024 18:22:31 +0200

minetest (5.6.1+dfsg+~1.9.0mt8+dfsg-4) unstable; urgency=medium

  * Team upload.

  [ Helmut Grohne ]
  * Non-maintainer upload.
  * Install minetest-server@.service only once when dh_installsystemd
    moves units to /usr. (Closes: #1055799)

  [ Tobias Frost ]
  * Upload with Helmut's patch.

 -- Tobias Frost <tobi@debian.org>  Sun, 26 Nov 2023 11:07:22 +0100

minetest (5.6.1+dfsg+~1.9.0mt8+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Fix build with nocheck profile, see d/rules for details (Closes: #1052671)
  * Drop Depends on lsb-base, fixes E: depends-on-obsolete-package.
  * Change B-D from libfreetype6-dev to libfreetype-dev, fixes build-
    depends-on-obsolete-package.
  * Update S-V to 4.6.2 - no changes.

 -- Tobias Frost <tobi@debian.org>  Sat, 11 Nov 2023 11:43:28 +0100

minetest (5.6.1+dfsg+~1.9.0mt8+dfsg-2) unstable; urgency=medium

  * Mark fix-typos.patch as been applied upstream.
  * Rewrite patch to add packaged mods support. (Closes: 1021944)

 -- Tobias Frost <tobi@debian.org>  Sat, 22 Oct 2022 13:09:24 +0200

minetest (5.6.1+dfsg+~1.9.0mt8+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Refresh shared_mods.patch
  * Patch to use Lua-C++ instead of the C library.
  * Remove fix-test-lua.patch.
  * Make sure that testLuaDestructors is really disabled.

 -- Tobias Frost <tobi@debian.org>  Wed, 21 Sep 2022 18:52:12 +0200

minetest (5.6.0+dfsg+~1.9.0mt7+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Reenable build time unittstess, disabling testLuaDestructors test.
  * Update architecture list where luajit is available.

 -- Tobias Frost <tobi@debian.org>  Tue, 20 Sep 2022 18:13:56 +0200

minetest (5.6.0+dfsg+~1.9.0mt7+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Temporarily revert "Enable unittests during build.", they uncovered
    testsuite failures, but this is not a regression…

 -- Tobias Frost <tobi@debian.org>  Sat, 17 Sep 2022 07:51:04 +0200

minetest (5.6.0+dfsg+~1.9.0mt7+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version. Closes: #1019871.
    - CVE-2022-35978.patch is no longer needed.
    - New upstream version Closes: #1010827, #996663
    - Upstream fixed security issues:
      - HTTP API access control bypass (no CVE issued)
  * Patches:
    - Refreshing patches.
    - Forwarding fix-typos.patch upstream.
  * As upstream requires SSE3 to function properly, depend on sse3-support to
    ensure minetest can only installed on i386 machines with that CPU feature.
    (Closes: #1010760)
  * Review d/copyright.
  * Bump S-V to 4.6.1 -- no changes required.
  * Don't install optimize_textures.sh.
  * Build with debug infos.
  * Enable unittests during build.
  * Add autopkgtest.
    - Add patch to make unittests not requiring build directory be available.
  * Enable out-of-tree build, so that cleanup is easier.
  * Add custom salsa-ci.yaml to override repotest.

 -- Tobias Frost <tobi@debian.org>  Fri, 16 Sep 2022 23:09:33 +0200

minetest (5.5.0+dfsg+~1.9.0mt4+dfsg-2) unstable; urgency=medium

  * Fix CVE-2022-35978:
    In **single player**, a mod can set a global setting that controls the Lua
    script loaded to display the main menu. The script is then loaded as soon
    as the game session is exited. The Lua environment the menu runs in is not
    sandboxed and can directly interfere with the user's system. There are
    currently no known workarounds. (Closes: #1017548)

 -- Markus Koschany <apo@debian.org>  Thu, 18 Aug 2022 22:26:07 +0200

minetest (5.5.0+dfsg+~1.9.0mt4+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add git-buildpackage config file.
  * Migrate from repack.sh to Files-Excluded.
  * Refresh patches.
  * Add NEWS describing breaking/significant changes.
  * Add README.source for maintainer notes.

 -- Travis Wrightsman <travis@wrightsman.org>  Sun, 27 Feb 2022 17:10:55 -0500

minetest (5.4.1+repack-2) unstable; urgency=medium

  * Add patch to fix compilation with gcc 11 (Closes: #984238).

 -- Julien Puydt <jpuydt@debian.org>  Sun, 17 Oct 2021 23:12:21 +0200

minetest (5.4.1+repack-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #993086).
  * Refresh patches and drop now-obsolete one.
  * Mark minetest-data as Multi-Arch foreign.
  * Declare d/rules doesn't require root.
  * Enable IPv6 server (Closes: #987104).
  * Bump standards-version to 4.6.0.
  * Use fonts from the fonts-croscore package as much as possible.
  * Bump d/watch to version 4.
  * Drop WTFPL license from d/copyright (unused).
  * Add patch to fix some typos.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 18 Sep 2021 17:10:00 +0200

minetest (5.3.0+repack-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream fix for errors caused by missing param2
    in falling.lua, thanks to Craig Small. (Closes: #990923)

 -- Adrian Bunk <bunk@debian.org>  Thu, 15 Jul 2021 18:55:57 +0300

minetest (5.3.0+repack-2) unstable; urgency=medium

  * Team upload.
  * Fixed 'minetest-data: debian/copyright needs updating'. Reflect upstream
    license changes in copyright documentation. (Closes: #979012)

 -- Bruno Kleinert <fuddl@debian.org>  Sun, 31 Jan 2021 14:41:26 +0100

minetest (5.3.0+repack-1) unstable; urgency=medium

  * New upstream version 5.3.0+repack.

 -- Markus Koschany <apo@debian.org>  Sat, 11 Jul 2020 23:10:38 +0200

minetest (5.2.0+repack-1) unstable; urgency=medium

  [ Michael Gilbert ]
  * Remove myself from the uploaders.

  [ Markus Koschany ]
  * New upstream version 5.2.0+repack.
  * Switch to debhelper-compat = 13.
  * Build-depend on libspatialindex-dev and build with ENABLE_SPATIAL=ON,
    to speed up AreaStores.

 -- Markus Koschany <apo@debian.org>  Sun, 19 Apr 2020 22:30:13 +0200

minetest (5.1.1+repack-2) unstable; urgency=medium

  * Explicitly set CMAKE_BUILD_TYPE to Release to avoid unexpected errors.
    Reported upstream as https://github.com/minetest/minetest/issues/9543
    Thanks to Krock for the report.

 -- Markus Koschany <apo@debian.org>  Tue, 31 Mar 2020 21:37:37 +0200

minetest (5.1.1+repack-1) unstable; urgency=medium

  * New upstream version 5.1.1+repack.
  * Declare compliance with Debian Policy 4.5.0.

 -- Markus Koschany <apo@debian.org>  Sat, 01 Feb 2020 22:08:37 +0100

minetest (5.1.0+repack-1) unstable; urgency=medium

  * New upstream version 5.1.0+repack.
  * Declare compliance with Debian Policy 4.4.1.
  * minetest-data: Remove dependencies on python and python-pil because
    minetestmapper is a separate package now. (Closes: #937048)
  * minetest-server: Add Pre-Depends: ${misc:Pre-Depends}.

 -- Markus Koschany <apo@debian.org>  Sun, 17 Nov 2019 15:07:01 +0100

minetest (5.0.1+repack-2) unstable; urgency=medium

  * Upload to unstable.
  * Switch to debhelper-compat = 12.
  * Declare compliance with Debian Policy 4.4.0.
  * Use dh_missing --list-missing.

 -- Markus Koschany <apo@debian.org>  Sat, 20 Jul 2019 02:43:52 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog luanti-data`.
